Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor
  Masse Einheit mehrerer Teile umstellen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Inventor besser verstehen - Fläche löschen
Autor Thema:   Masse Einheit mehrerer Teile umstellen (1848 mal gelesen)
MultipleCADuser
Mitglied
Ingenieur

Sehen Sie sich das Profil von MultipleCADuser an!   Senden Sie eine Private Message an MultipleCADuser  Schreiben Sie einen Gästebucheintrag für MultipleCADuser

Beiträge: 4
Registriert: 21.05.2015

Inventor 2015

erstellt am: 21. Mai. 2015 14:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich arbeite in einem Team. Ein anderer Mitarbeiter hat eine große Baugruppe erstellt, in der die Masseeinheit auf kg steht. Alle anderen haben aber g angegeben. Wie kann man die Einheit umstellen, ohne alle Teile einzeln aufzurufen. Gibt es eine Art Tabellenansicht einer Gesammtbaugruppe, in der ich die Einheiten für alle Bauteile ändern kann?

------------------
Gerne,
Volker

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Xantes
Ehrenmitglied
 


Sehen Sie sich das Profil von Xantes an!   Senden Sie eine Private Message an Xantes  Schreiben Sie einen Gästebucheintrag für Xantes

Beiträge: 1641
Registriert: 22.07.2001

Intel(R) Xeon(R) CPU E5-1620v2 @3.70GHz
32GB HS
Windows 7 Professional
Quadro K2000D mit drei Monitoren (1x27", 2x21")
2x SSD SATA III 512 GB Premium<P>Inventor 2014 (2015 und weitere in Lauerstellung)

erstellt am: 21. Mai. 2015 15:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für MultipleCADuser 10 Unities + Antwort hilfreich

Hallo Volker,

wenn Du die baugruppe geöffnet hast, dann steht unter Extra, Dokumenteneinstellung, Einheiten auch die Masse. Stellt Du dort auf Gramm um, dann wird Dir die Masse bei physikalische Eigenschaften in Gramm angezeigt.

Gruß, Uwe

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

W. Holzwarth
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Maschinenbau



Sehen Sie sich das Profil von W. Holzwarth an!   Senden Sie eine Private Message an W. Holzwarth  Schreiben Sie einen Gästebucheintrag für W. Holzwarth

Beiträge: 9112
Registriert: 13.10.2000

Inventor bis 2021, MDT 2009, Rhino 6 + WIP, Mainboard ASUS Sabertooth X58, CPU i7 980, 24 GB RAM, 2 TB SSD, 2 TB HD RAID1, GTX 980 Ti, Dual Monitor 24", Spacemouse Enterprise, Win 10 - 1903

erstellt am: 21. Mai. 2015 15:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für MultipleCADuser 10 Unities + Antwort hilfreich

Probier's mal damit. In der Baugruppe aufgerufen, ändert es auch alle darin verbauten Teile.

Public Sub SetActiveDocUnits()
Dim oActiveDocument As Inventor.Document
Set oActiveDocument = ThisApplication.ActiveDocument
SetUnitsToMetric oActiveDocument
End Sub

Private Sub SetUnitsToMetric(Document As Inventor.Document)
'Get Units of Measure
Dim oUOM As Inventor.UnitsOfMeasure
Set oUOM = Document.UnitsOfMeasure
'Set length units to Metric and save
oUOM.LengthUnits = kMillimeterLengthUnits
oUOM.MassUnits = kGramMassUnits
oUOM.AngleUnits = kDegreeAngleUnits
Document.Dirty = True
Document.Update
Document.Save

'Run recursively for assembly
If TypeOf Document Is Inventor.AssemblyDocument Then
Dim oAssemblyDocument As Inventor.AssemblyDocument
Set oAssemblyDocument = Document
Dim oOccurrence As Inventor.ComponentOccurrence
For Each oOccurrence In oAssemblyDocument.ComponentDefinition.Occurrences
SetUnitsToMetric oOccurrence.Definition.Document
Next oOccurrence
End If
End Sub

Public Sub SetScaleOnParameters()
    Dim partDoc As PartDocument
    Set partDoc = ThisApplication.ActiveDocument
    Dim partDef As PartComponentDefinition
    Set partDef = partDoc.ComponentDefinition
   
    Dim modelParam As ModelParameter
    For Each modelParam In partDef.Parameters.ModelParameters
        ' Check to see that this parameter defines a distance.
        If partDoc.UnitsOfMeasure.CompatibleUnits("1", modelParam.Units, "1", "in") Then
            ' Change the expression to include scale.
            modelParam.Expression = modelParam.Expression & " * Scale"
        End If
    Next
End Sub

[Diese Nachricht wurde von W. Holzwarth am 21. Mai. 2015 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

MultipleCADuser
Mitglied
Ingenieur

Sehen Sie sich das Profil von MultipleCADuser an!   Senden Sie eine Private Message an MultipleCADuser  Schreiben Sie einen Gästebucheintrag für MultipleCADuser

Beiträge: 4
Registriert: 21.05.2015

Inventor 2015

erstellt am: 22. Mai. 2015 11:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke Holzwarth, für die schnelle Antwort.
Wie rufe ich das auf? Wie kann ich das in unterschiedlichen Baugruppen anwenden?

------------------
Gerne,
Volker

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

MultipleCADuser
Mitglied
Ingenieur

Sehen Sie sich das Profil von MultipleCADuser an!   Senden Sie eine Private Message an MultipleCADuser  Schreiben Sie einen Gästebucheintrag für MultipleCADuser

Beiträge: 4
Registriert: 21.05.2015

Inventor 2015

erstellt am: 22. Mai. 2015 11:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke Uwe,

aber ich brauche das Gewicht für alle Bauteile auch in der Stückliste in g. Wenn ich die Stückliste in alllen Ebenen aufliste, erscheinen die Unterbaugruppen und die darin enthaltenen Teile in kg.

------------------
Gerne,
Volker

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

W. Holzwarth
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Maschinenbau



Sehen Sie sich das Profil von W. Holzwarth an!   Senden Sie eine Private Message an W. Holzwarth  Schreiben Sie einen Gästebucheintrag für W. Holzwarth

Beiträge: 9112
Registriert: 13.10.2000

Inventor bis 2021, MDT 2009, Rhino 6 + WIP, Mainboard ASUS Sabertooth X58, CPU i7 980, 24 GB RAM, 2 TB SSD, 2 TB HD RAID1, GTX 980 Ti, Dual Monitor 24", Spacemouse Enterprise, Win 10 - 1903

erstellt am: 22. Mai. 2015 12:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für MultipleCADuser 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von MultipleCADuser:
Wie rufe ich das auf? Wie kann ich das in unterschiedlichen Baugruppen anwenden?

- Neue Baugruppe erstellen
- Extras -> VBA-Editor (bei Optionen)
- ApplicationProject (Default.ivb) aufklappen
- Unter Module Modul1 aufklappen (Falls nicht vorhanden, Rechtsmaus auf Module->Einfügen->Modul)
- Kopierten Text dort einfügen
- Datei -> Schließen und zurück ..
- Nun eine kleine Test-BG öffnen
- In Baugruppe Extras -> Makros (bei Optionen)->Makros in: ApplicationProject(Default.ivb)->SetActiveDocUnits wählen->Ausführen

Je nach Baugruppengröße kann es dann etwas dauern, deshalb zuerst mal mit einfacher BG probieren.

P.S.: Makro SetScaleonParameters ist eigentlich nicht nötig. Dadurch kann man alle Längenmaße mit einem festen Wert skalieren, wenn in den Bauteilparametern ein Benutzerparameter Scale (z.B. 1,0 ohne Einheit) definiert ist. Scale=2 macht's dann doppelt so groß. Starten dieses Makros ohne Scale-Definition gibt Laufzeitfehler.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

MultipleCADuser
Mitglied
Ingenieur

Sehen Sie sich das Profil von MultipleCADuser an!   Senden Sie eine Private Message an MultipleCADuser  Schreiben Sie einen Gästebucheintrag für MultipleCADuser

Beiträge: 4
Registriert: 21.05.2015

Inventor 2015

erstellt am: 22. Mai. 2015 14:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hey, hat super geklappt. Spwohl bei der kleinen als auch bei der großen Baugruppe.
Vielen Dank!

------------------
Gerne,
Volker

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz